package test;
import java.awt.*;
import javax.swing.JFrame;

/**
 *
 * @author 545
 */
public class Main extends JFrame {

  public Main() {
  }  // construktor


public void paint (Graphics g)
  {
    int x, y;  // Mittelpunkt
    int r;     // Radius
    int r2;    // Halber Radius

    x = 300;
    y = 300;
    for (int i=0; i<10; i++) {
       // Verschieben
      r = (int) (  400*Math.random() );
      r2 = r >> 1;
      g.drawOval(x-r2,y-r2,r,r);
    }
  }

  public static void main(String[] args) {
	Main f ;
     f = new Main();
 	f.setSize(500, 300);
	f.setTitle("Grafikbeispiel");
    	f.setVisible(true);
  }  // main


}  // class

